package com.sun.kvem.javon.template;

import java.io.IOException;
import com.sun.kvem.javon.template.Template;
import com.sun.kvem.javon.template.TemplateData;
import com.sun.kvem.javon.model.JavonMapping;
import com.sun.kvem.javon.model.*;
import com.sun.kvem.javon.model.classdata.*;
import java.io.*;
import java.util.*;

public class ClientTest extends Template {

    protected Class getTemplateOutputClass() {
        return com.sun.kvem.javon.model.JavonOutput.class;
    }

    protected com.sun.kvem.javon.model.JavonOutput getOutput() {
        return (com.sun.kvem.javon.model.JavonOutput) getOutputImpl();
    }

    public void runImpl(TemplateData __template_data)
        throws Exception {

    final com.sun.kvem.javon.model.JavonMapping data = (com.sun.kvem.javon.model.JavonMapping) __template_data;
/* Source line 5 */         
/* Source line 6 */         ProtocolSupport support = new ProtocolSupport(data, this, true);
/* Source line 7 */         String nameSuffix = "Test" + (data.isMIDlet() ? "" : "MIDlet");
/* Source line 8 */         String outputDir = data.getClientOutputDirectory();
/* Source line 9 */         setOut(support.getClientPath(data.getClientClassName() + nameSuffix));
/* Source line 10 */         getOutput().addCreatedFile(support.getClientPath(data.getClientClassName() + nameSuffix));
/* Source line 11 */         println("" + support.clientPackageLine() + "");
/* Source line 12 */         println("import java.util.*;");
/* Source line 13 */         println("import java.io.*;");
/* Source line 14 */         println("import javax.microedition.io.*;");
/* Source line 15 */         println("import javax.microedition.midlet.*;");
/* Source line 16 */         println("");
/* Source line 17 */         String testClassName = data.getClientClassName() + nameSuffix;
/* Source line 18 */         String extendsString = data.isMIDlet() ? "" : "extends MIDlet ";
/* Source line 19 */         println("");
/* Source line 20 */         println("public class " + testClassName + " " + extendsString + " {");
/* Source line 21 */         if(!data.isMIDlet()) {
/* Source line 22 */             println("");
/* Source line 23 */             println("public void startApp() {");
/* Source line 24 */             println("}");
/* Source line 25 */             println("");
/* Source line 26 */             println("public void destroyApp(boolean b) {");
/* Source line 27 */             println("}");
/* Source line 28 */             println("");
/* Source line 29 */             println("public void pauseApp() {");
/* Source line 30 */             println("}");
/* Source line 31 */         }
/* Source line 32 */         println("");
/* Source line 33 */         // generate constants for typesS
/* Source line 34 */         ClassData[] types = data.getSupportedTypes();
/* Source line 35 */         for (int i = 0; i < types.length; i++) {
/* Source line 36 */             String constantName = data.getConstantNameForType(types[i]);
/* Source line 37 */             short constantValue = data.getValueForType(types[i]);
/* Source line 38 */             println("public final static Short " + constantName + " = new Short( (short) " + constantValue + " );");
/* Source line 39 */         }
/* Source line 40 */         println("");
/* Source line 41 */         println("public Displayable getTestDisplayable() {");
/* Source line 42 */         println("//List list = new List(\"Remote Methods\");");
/* Source line 43 */         println("}");
/* Source line 44 */         println("");
/* Source line 45 */         println("}");
    }

}
