package com.sun.kvem.javon.template;

import java.io.IOException;
import com.sun.kvem.javon.template.Template;
import com.sun.kvem.javon.template.TemplateData;
import com.sun.kvem.javon.model.JavonMapping;
import com.sun.kvem.javon.model.*;

public class InvocationAbstraction extends Template {

    protected Class getTemplateOutputClass() {
        return com.sun.kvem.javon.model.JavonOutput.class;
    }

    protected com.sun.kvem.javon.model.JavonOutput getOutput() {
        return (com.sun.kvem.javon.model.JavonOutput) getOutputImpl();
    }

    public void runImpl(TemplateData __template_data)
        throws Exception {

    final com.sun.kvem.javon.model.JavonMapping data = (com.sun.kvem.javon.model.JavonMapping) __template_data;
/* Source line 2 */         ProtocolSupport support = new ProtocolSupport(data, this, false);
/* Source line 3 */         setOut(support.getServletSupportPath("InvocationAbstraction"));
/* Source line 4 */         getOutput().addCreatedFile(support.getServletSupportPath("InvocationAbstraction"));
/* Source line 5 */         println("package " + support.serverSupportPackage() + ";");
/* Source line 6 */         println("");
/* Source line 7 */         println("import java.io.DataInput;");
/* Source line 8 */         println("import javax.servlet.http.HttpSession;");
/* Source line 9 */         println("");
/* Source line 10 */         println("/**");
/* Source line 11 */         println("*  This interface is used to abstract the servlet from the functionality be it");
/* Source line 12 */         println("*  an EJB or a plain Java class or a Web service.");
/* Source line 13 */         println("*/");
/* Source line 14 */         println("public interface InvocationAbstraction {");
/* Source line 15 */         println("/**");
/* Source line 16 */         println("*  This method performs the actual invocation of server functionality. It is");
/* Source line 17 */         println("*  used by the servlet to delegate functionality to external classes.");
/* Source line 18 */         println("*");
/* Source line 19 */         println("*@param  session          this http session");
/* Source line 20 */         println("*@param  input            The stream from which we should read the parameters");
/* Source line 21 */         println("*      for the methods");
/* Source line 22 */         println("*@return                  The return value for the method NULL IS NOT");
/* Source line 23 */         println("*      SUPPORTED!!!!");
/* Source line 24 */         println("*@exception  IOException  Thrown when a protocol error occurs");
/* Source line 25 */         println("*/");
/* Source line 26 */         println("public Object invoke(HttpSession session,");
/* Source line 27 */         println("DataInput input) throws Exception;");
/* Source line 28 */         println("}");
/* Source line 29 */         println("");
    }

}
