/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2005 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

/*
 * TableModelListener.java
 *
 * Created on August 4, 2005, 5:40 PM
 *
 */

package org.netbeans.microedition.lcdui;

/**
 * A listener for changes of the table model
 * @author breh
 */
public interface TableModelListener {
	
	/**
	 * The supplied <code>TableModel</code> has changed.
	 * @param model a changed TableModel.
	 */
	public void tableModelChanged(TableModel model);
	
}
